//======================================================================
// Copyright (C) 2018
//              David Freese, W1HKJ
//
// This file is part of pskscope
//
// fldigi is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// fldigi is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//======================================================================

#ifndef _status_H
#define _status_H

#include <string>
#include <FL/Fl_Widget.H>

#include "config.h"
#include "main.h"

#define stdstr std::string

struct status {
	int		mainX;
	int		mainY;

	stdstr	serial_port;
	double	minval;
	double	overdrive1;
	double	overdrive2;
	double	alpha;
	double	r1qro;
	double	r1qrp;
	double	targetpwr;
	int		qrp;

	status();
	void saveLastState();
	void loadLastState();

};

extern status progstatus;

#endif
